Resource

Scheduled Maintenance Template Team Owner

Add teams as owners to your Scheduled Maintenance Template.

The Scheduled Maintenance Template Team Owner Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    team
    Type
    Team
    Description

    Team that is the owner. All users in this team will receive notifications.

  • Name
    teamId
    Type
    Object IDRequired
    Description

    ID of your Team in which this object belongs

  • Name
    scheduledMaintenanceTemplate
    Type
    Scheduled Maintenance Template
    Description

    Relation to Scheduled Maintenance Template Resource in which this object belongs

  • Name
    scheduledMaintenanceTemplateId
    Type
    Object IDRequired
    Description

    ID of your Scheduled Maintenance Template in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/scheduled-maintenance-template-owner-team/get-list

List

This endpoint allows you to retrieve a paginated list of all your Scheduled Maintenance Template Team Owner. By default, a maximum of ten Scheduled Maintenance Template Team Owner are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/scheduled-maintenance-template-owner-team/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "scheduledMaintenanceTemplateId": true,
    "teamId": true,
    "_id": true,
    "createdAt": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377a4440-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "scheduledMaintenanceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
      "teamId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377a4441-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "scheduledMaintenanceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
      "teamId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377a4442-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "scheduledMaintenanceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
      "teamId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/scheduled-maintenance-template-owner-team/:id/get-item

Get item by ID

This endpoint allows you to retrieve Scheduled Maintenance Template Team Owner by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/scheduled-maintenance-template-owner-team/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "scheduledMaintenanceTemplateId": true,
    "teamId": true,
    "_id": true,
    "createdAt": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "scheduledMaintenanceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
  "teamId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
POST/api/scheduled-maintenance-template-owner-team/count

Count

This endpoint allows you to retrieve the count of all your Scheduled Maintenance Template Team Owner.

Optional Request Body

Count Request

POST
/api/scheduled-maintenance-template-owner-team/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/scheduled-maintenance-template-owner-team

Create Scheduled Maintenance Template Team Owner

This endpoint allows you to create a new object.

Create Request

POST
/api/scheduled-maintenance-template-owner-team
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "scheduledMaintenanceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
    "teamId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "scheduledMaintenanceTemplateId": "550e8400-e29b-41d4-a716-446655440000",
  "teamId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/scheduled-maintenance-template-owner-team/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance-template-owner-team/:id/update-item
GET/api/scheduled-maintenance-template-owner-team/:id/update-item

Update Request

PUT
/api/scheduled-maintenance-template-owner-team/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/scheduled-maintenance-template-owner-team/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance-template-owner-team/:id/delete-item
GET/api/scheduled-maintenance-template-owner-team/:id/delete-item

Delete Request

DELETE
/api/scheduled-maintenance-template-owner-team/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Scheduled Maintenance Template Team Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Read Scheduled Maintenance Template User Team
  • Read All Project Resources

Create Permissions

Required to create Scheduled Maintenance Template Team Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Create Scheduled Maintenance Template User Team

Update Permissions

Required to update Scheduled Maintenance Template Team Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Scheduled Maintenance Template User Team

Delete Permissions

Required to delete Scheduled Maintenance Template Team Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Scheduled Maintenance Template User Team